# class Benchmark::IPS::Job::StreamReport

### Public Class Methods

new(job, stream = $stdout) click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 5
    def initialize(job, stream = $stdout)
      @last_item = nil
      @out = stream
      @job = job
    end

### Public Instance Methods

add_report(item, caller) click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 34
    def add_report(item, caller)
      @out.puts " #{item.body}"
      @last_item = item
    end

running(label, _warmup)
Alias for: warming
start_running() click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 16
    def start_running
      @out.puts "Calculating -------------------------------------"
    end

start_warming() click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 11
    def start_warming
      @out.puts RUBY_DESCRIPTION
      @out.puts "Warming up --------------------------------------"
    end

warming(label, _warmup) click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 20
    def warming(label, _warmup)
      @out.print label.to_s.rjust(@job.max_width)
    end

Also aliased as: running
warmup_stats(_warmup_time_us, timing) click to toggle source

    # File lib/benchmark/ips/job/stream_report.rb, line 25
    def warmup_stats(_warmup_time_us, timing)
      case format
      when :human
        @out.printf "%s i/100ms\n", Helpers.scale(timing)
      else
        @out.printf "%10d i/100ms\n", timing
      end
    end